Changeset 1945 for trunk/Cbc/configure


Ignore:
Timestamp:
Jul 29, 2013 4:56:04 AM (6 years ago)
Author:
forrest
Message:

adding a dubious heuristic

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/configure

    r1934 r1945  
    10871087                          icl/link). Default when mentioned: mingw. Default
    10881088                          when not mentioned: disabled.
    1089 
    10901089  --enable-static[=PKGS]
    10911090                          build static libraries [default=no]
     
    17701769
    17711770
    1772 
    17731771cat >>confdefs.h <<_ACEOF
    17741772#define CBC_VERSION "$PACKAGE_VERSION"
     
    18561854
    18571855
    1858  # Capture libtool library version, if given.
    1859 
     1856# Capture libtool library version, if given.
    18601857
    18611858
     
    20021999echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    20032000  fi
    2004 
    2005 
    2006 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    2007 if test "${enable_static_standardlibs+set}" = set; then
    2008   enableval="$enable_static_standardlibs"
    2009   case "$enableval" in
    2010      no | yes | auto ) ;;
    2011      *)
    2012        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    2013 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    2014    { (exit 1); exit 1; }; } ;;
    2015    esac
    2016    use_static_standardlibs=$enableval
    2017 else
    2018   use_static_standardlibs=no
    2019 fi;
    2020 
    20212001
    20222002
     
    31553135    CFLAGS="$OPT_CFLAGS"
    31563136  fi
    3157 
    31583137else
    31593138  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    33243303esac
    33253304
    3326 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3327 if test x$use_static_standardlibs != xno ; then
    3328   case $build in
    3329     *-mingw*)
    3330       static_standardlib_flag=-static
    3331       ;;
    3332     *)
    3333       static_standardlib_flag=-static-libgcc
    3334       ;;
    3335   esac
    3336   case " $LDFLAGS " in
    3337     *" $static_standardlib_flag "* ) ;;
    3338     *)
    3339     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3340 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3341     coin_save_LDFLAGS="$LDFLAGS"
    3342     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3343     cat >conftest.$ac_ext <<_ACEOF
    3344 /* confdefs.h.  */
    3345 _ACEOF
    3346 cat confdefs.h >>conftest.$ac_ext
    3347 cat >>conftest.$ac_ext <<_ACEOF
    3348 /* end confdefs.h.  */
    3349 
    3350 int
    3351 main ()
    3352 {
    3353 int i=0;
    3354   ;
    3355   return 0;
    3356 }
    3357 _ACEOF
    3358 rm -f conftest.$ac_objext conftest$ac_exeext
    3359 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3360   (eval $ac_link) 2>conftest.er1
    3361   ac_status=$?
    3362   grep -v '^ *+' conftest.er1 >conftest.err
    3363   rm -f conftest.er1
    3364   cat conftest.err >&5
    3365   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3366   (exit $ac_status); } &&
    3367          { ac_try='test -z "$ac_c_werror_flag"
    3368                          || test ! -s conftest.err'
    3369   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3370   (eval $ac_try) 2>&5
    3371   ac_status=$?
    3372   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3373   (exit $ac_status); }; } &&
    3374          { ac_try='test -s conftest$ac_exeext'
    3375   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3376   (eval $ac_try) 2>&5
    3377   ac_status=$?
    3378   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3379   (exit $ac_status); }; }; then
    3380   echo "$as_me:$LINENO: result: yes" >&5
    3381 echo "${ECHO_T}yes" >&6
    3382 else
    3383   echo "$as_me: failed program was:" >&5
    3384 sed 's/^/| /' conftest.$ac_ext >&5
    3385 
    3386 echo "$as_me:$LINENO: result: no" >&5
    3387 echo "${ECHO_T}no" >&6
    3388        LDFLAGS="$coin_save_LDFLAGS"
    3389        if test $use_static_standardlibs = yes ; then
    3390          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3391 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3392    { (exit 1); exit 1; }; }
    3393        fi
    3394 
    3395 fi
    3396 rm -f conftest.err conftest.$ac_objext \
    3397       conftest$ac_exeext conftest.$ac_ext
    3398     ;;
    3399   esac
    3400 fi
    3401 
    34023305ac_ext=c
    34033306ac_cpp='$CPP $CPPFLAGS'
     
    34093312
    34103313 #Let's try if that overcomes configuration problem with VC++ 6.0
    3411 
    34123314
    34133315ac_ext=cc
     
    43594261esac
    43604262
    4361 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4362 if test x$use_static_standardlibs != xno ; then
    4363   case $build in
    4364     *-mingw*)
    4365       static_standardlib_flag=-static
    4366       ;;
    4367     *)
    4368       static_standardlib_flag=-static-libstdc++
    4369       ;;
    4370   esac
    4371   case " $LDFLAGS " in
    4372     *" $static_standardlib_flag "* ) ;;
    4373     *)
    4374     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4375 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4376     coin_save_LDFLAGS="$LDFLAGS"
    4377     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4378     cat >conftest.$ac_ext <<_ACEOF
    4379 /* confdefs.h.  */
    4380 _ACEOF
    4381 cat confdefs.h >>conftest.$ac_ext
    4382 cat >>conftest.$ac_ext <<_ACEOF
    4383 /* end confdefs.h.  */
    4384 
    4385 int
    4386 main ()
    4387 {
    4388 int i=0;
    4389   ;
    4390   return 0;
    4391 }
    4392 _ACEOF
    4393 rm -f conftest.$ac_objext conftest$ac_exeext
    4394 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4395   (eval $ac_link) 2>conftest.er1
    4396   ac_status=$?
    4397   grep -v '^ *+' conftest.er1 >conftest.err
    4398   rm -f conftest.er1
    4399   cat conftest.err >&5
    4400   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4401   (exit $ac_status); } &&
    4402          { ac_try='test -z "$ac_cxx_werror_flag"
    4403                          || test ! -s conftest.err'
    4404   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4405   (eval $ac_try) 2>&5
    4406   ac_status=$?
    4407   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4408   (exit $ac_status); }; } &&
    4409          { ac_try='test -s conftest$ac_exeext'
    4410   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4411   (eval $ac_try) 2>&5
    4412   ac_status=$?
    4413   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4414   (exit $ac_status); }; }; then
    4415   echo "$as_me:$LINENO: result: yes" >&5
    4416 echo "${ECHO_T}yes" >&6
    4417 else
    4418   echo "$as_me: failed program was:" >&5
    4419 sed 's/^/| /' conftest.$ac_ext >&5
    4420 
    4421 echo "$as_me:$LINENO: result: no" >&5
    4422 echo "${ECHO_T}no" >&6
    4423        LDFLAGS="$coin_save_LDFLAGS"
    4424        if test $use_static_standardlibs = yes ; then
    4425          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4426 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4427    { (exit 1); exit 1; }; }
    4428        fi
    4429 
    4430 fi
    4431 rm -f conftest.err conftest.$ac_objext \
    4432       conftest$ac_exeext conftest.$ac_ext
    4433     ;;
    4434   esac
    4435 fi
    4436 
    44374263ac_ext=c
    44384264ac_cpp='$CPP $CPPFLAGS'
     
    61956021*-*-irix6*)
    61966022  # Find out which ABI we are using.
    6197   echo '#line 6197 "configure"' > conftest.$ac_ext
     6023  echo '#line 6023 "configure"' > conftest.$ac_ext
    61986024  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    61996025  (eval $ac_compile) 2>&5
     
    73297155
    73307156# Provide some information about the compiler.
    7331 echo "$as_me:7331:" \
     7157echo "$as_me:7157:" \
    73327158     "checking for Fortran 77 compiler version" >&5
    73337159ac_compiler=`set X $ac_compile; echo $2`
     
    83968222   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83978223   -e 's:$: $lt_compiler_flag:'`
    8398    (eval echo "\"\$as_me:8398: $lt_compile\"" >&5)
     8224   (eval echo "\"\$as_me:8224: $lt_compile\"" >&5)
    83998225   (eval "$lt_compile" 2>conftest.err)
    84008226   ac_status=$?
    84018227   cat conftest.err >&5
    8402    echo "$as_me:8402: \$? = $ac_status" >&5
     8228   echo "$as_me:8228: \$? = $ac_status" >&5
    84038229   if (exit $ac_status) && test -s "$ac_outfile"; then
    84048230     # The compiler can only warn and ignore the option if not recognized
     
    86648490   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86658491   -e 's:$: $lt_compiler_flag:'`
    8666    (eval echo "\"\$as_me:8666: $lt_compile\"" >&5)
     8492   (eval echo "\"\$as_me:8492: $lt_compile\"" >&5)
    86678493   (eval "$lt_compile" 2>conftest.err)
    86688494   ac_status=$?
    86698495   cat conftest.err >&5
    8670    echo "$as_me:8670: \$? = $ac_status" >&5
     8496   echo "$as_me:8496: \$? = $ac_status" >&5
    86718497   if (exit $ac_status) && test -s "$ac_outfile"; then
    86728498     # The compiler can only warn and ignore the option if not recognized
     
    87688594   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87698595   -e 's:$: $lt_compiler_flag:'`
    8770    (eval echo "\"\$as_me:8770: $lt_compile\"" >&5)
     8596   (eval echo "\"\$as_me:8596: $lt_compile\"" >&5)
    87718597   (eval "$lt_compile" 2>out/conftest.err)
    87728598   ac_status=$?
    87738599   cat out/conftest.err >&5
    8774    echo "$as_me:8774: \$? = $ac_status" >&5
     8600   echo "$as_me:8600: \$? = $ac_status" >&5
    87758601   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87768602   then
     
    1111310939  lt_status=$lt_dlunknown
    1111410940  cat > conftest.$ac_ext <<EOF
    11115 #line 11115 "configure"
     10941#line 10941 "configure"
    1111610942#include "confdefs.h"
    1111710943
     
    1121311039  lt_status=$lt_dlunknown
    1121411040  cat > conftest.$ac_ext <<EOF
    11215 #line 11215 "configure"
     11041#line 11041 "configure"
    1121611042#include "confdefs.h"
    1121711043
     
    1355713383   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1355813384   -e 's:$: $lt_compiler_flag:'`
    13559    (eval echo "\"\$as_me:13559: $lt_compile\"" >&5)
     13385   (eval echo "\"\$as_me:13385: $lt_compile\"" >&5)
    1356013386   (eval "$lt_compile" 2>conftest.err)
    1356113387   ac_status=$?
    1356213388   cat conftest.err >&5
    13563    echo "$as_me:13563: \$? = $ac_status" >&5
     13389   echo "$as_me:13389: \$? = $ac_status" >&5
    1356413390   if (exit $ac_status) && test -s "$ac_outfile"; then
    1356513391     # The compiler can only warn and ignore the option if not recognized
     
    1366113487   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1366213488   -e 's:$: $lt_compiler_flag:'`
    13663    (eval echo "\"\$as_me:13663: $lt_compile\"" >&5)
     13489   (eval echo "\"\$as_me:13489: $lt_compile\"" >&5)
    1366413490   (eval "$lt_compile" 2>out/conftest.err)
    1366513491   ac_status=$?
    1366613492   cat out/conftest.err >&5
    13667    echo "$as_me:13667: \$? = $ac_status" >&5
     13493   echo "$as_me:13493: \$? = $ac_status" >&5
    1366813494   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1366913495   then
     
    1523115057   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1523215058   -e 's:$: $lt_compiler_flag:'`
    15233    (eval echo "\"\$as_me:15233: $lt_compile\"" >&5)
     15059   (eval echo "\"\$as_me:15059: $lt_compile\"" >&5)
    1523415060   (eval "$lt_compile" 2>conftest.err)
    1523515061   ac_status=$?
    1523615062   cat conftest.err >&5
    15237    echo "$as_me:15237: \$? = $ac_status" >&5
     15063   echo "$as_me:15063: \$? = $ac_status" >&5
    1523815064   if (exit $ac_status) && test -s "$ac_outfile"; then
    1523915065     # The compiler can only warn and ignore the option if not recognized
     
    1533515161   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1533615162   -e 's:$: $lt_compiler_flag:'`
    15337    (eval echo "\"\$as_me:15337: $lt_compile\"" >&5)
     15163   (eval echo "\"\$as_me:15163: $lt_compile\"" >&5)
    1533815164   (eval "$lt_compile" 2>out/conftest.err)
    1533915165   ac_status=$?
    1534015166   cat out/conftest.err >&5
    15341    echo "$as_me:15341: \$? = $ac_status" >&5
     15167   echo "$as_me:15167: \$? = $ac_status" >&5
    1534215168   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1534315169   then
     
    1754217368   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1754317369   -e 's:$: $lt_compiler_flag:'`
    17544    (eval echo "\"\$as_me:17544: $lt_compile\"" >&5)
     17370   (eval echo "\"\$as_me:17370: $lt_compile\"" >&5)
    1754517371   (eval "$lt_compile" 2>conftest.err)
    1754617372   ac_status=$?
    1754717373   cat conftest.err >&5
    17548    echo "$as_me:17548: \$? = $ac_status" >&5
     17374   echo "$as_me:17374: \$? = $ac_status" >&5
    1754917375   if (exit $ac_status) && test -s "$ac_outfile"; then
    1755017376     # The compiler can only warn and ignore the option if not recognized
     
    1781017636   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1781117637   -e 's:$: $lt_compiler_flag:'`
    17812    (eval echo "\"\$as_me:17812: $lt_compile\"" >&5)
     17638   (eval echo "\"\$as_me:17638: $lt_compile\"" >&5)
    1781317639   (eval "$lt_compile" 2>conftest.err)
    1781417640   ac_status=$?
    1781517641   cat conftest.err >&5
    17816    echo "$as_me:17816: \$? = $ac_status" >&5
     17642   echo "$as_me:17642: \$? = $ac_status" >&5
    1781717643   if (exit $ac_status) && test -s "$ac_outfile"; then
    1781817644     # The compiler can only warn and ignore the option if not recognized
     
    1791417740   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1791517741   -e 's:$: $lt_compiler_flag:'`
    17916    (eval echo "\"\$as_me:17916: $lt_compile\"" >&5)
     17742   (eval echo "\"\$as_me:17742: $lt_compile\"" >&5)
    1791717743   (eval "$lt_compile" 2>out/conftest.err)
    1791817744   ac_status=$?
    1791917745   cat out/conftest.err >&5
    17920    echo "$as_me:17920: \$? = $ac_status" >&5
     17746   echo "$as_me:17746: \$? = $ac_status" >&5
    1792117747   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1792217748   then
Note: See TracChangeset for help on using the changeset viewer.